## rpds-py 0.21.0

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --output-file /Users/julian/Development/rpds.py/docs/requirements.txt docs/requirements.in
alabaster==1.0.0
    # via sphinx
babel==2.16.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
docutils==0.21.2
    # via sphinx
furo==2024.8.6
    # via -r docs/requirements.in
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via sphinx
markupsafe==3.0.2
    # via jinja2
packaging==24.1
    # via sphinx
pyenchant==3.2.2
    # via sphinxcontrib-spelling
pygments==2.18.0
    # via
    #   furo
    #   pygments-github-lexers
    #   sphinx
pygments-github-lexers==0.0.5
    # via -r docs/requirements.in
requests==2.32.3
    # via sphinx
file:.#egg=rpds-py
    # via -r docs/requirements.in
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.6
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sphinxcontrib-spelling==8.0.0
    # via -r docs/requirements.in
sphinxext-opengraph==0.9.1
    # via -r docs/requirements.in
url-py==0.13.0
    # via -r docs/requirements.in
urllib3==2.2.3
    # via requests

=== tests/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --output-file /Users/julian/Development/rpds.py/tests/requirements.txt tests/requirements.in
iniconfig==2.0.0
    # via pytest
packaging==24.1
    # via pytest
pluggy==1.5.0
    # via pytest
pytest==8.3.3
    # via -r tests/requirements.in
file:.#egg=rpds-py
    # via -r tests/requirements.in

## rpds-py 0.12.0

=== debian/changelog ===
rpds-py (0.12.0-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:52:29 +0000

rpds-py (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * Fix version of pyo3 in Cargo.toml (Closes: #1061307).
  * Removed 0002-AsPyPointer-is-not-unsafe.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2024 16:37:26 +0100

rpds-py (0.12.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 14 Nov 2023 11:43:12 +0100

rpds-py (0.12.0-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Fri, 10 Nov 2023 14:22:59 +0100

=== debian/control ===
Source: rpds-py
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders: Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-hatchling,
 python3-pytest,
 python3-traitlets,
 python3-maturin,
 librust-pyo3-dev,
 librust-archery-dev,
 librust-rpds-dev,
 cargo,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/crate-py/rpds
Vcs-Browser: https://salsa.debian.org/python-team/packages/rpds-py
Vcs-Git: https://salsa.debian.org/python-team/packages/rpds-py.git

Package: python3-rpds-py
Architecture: any
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Python bindings to Rust's persistent data structures (rpds)
 Python bindings to the Rust rpds crate for persistent data structures.
 .
 What's here is quite minimal (in transparency, it was written
 initially to support replacing pyrsistent in the referencing
 library). If you see something missing (which is very likely), a PR
 is definitely welcome to add it.
 .
 This package installs the library for Python 3.

## rpds-py 0.20.0

=== debian/changelog ===
rpds-py (0.20.0-0ubuntu3) oracular; urgency=medium

  * d/control: Use dh-cargo to generate list of vendored sources and
    detail in the XS-Vendored-Sources-Rust field.
  * d/README.source,refresh-vendor.sh: Update to include refresh of
    XS-Vendored-Sources-Rust if required.

 -- James Page <james.page@ubuntu.com>  Mon, 02 Sep 2024 10:23:55 +0100

rpds-py (0.20.0-0ubuntu2) oracular; urgency=medium

  * Vendor required Rust crates to align with Ubuntu MIR requirements:
    - d/refresh-vendor.sh: Helper script to refresh crates for new
      upstream releases.
    - d/README.source: Document use of helper script.
    - d/cargo_home/config.toml: Use vendored crates for build.
    - d/control: Drop BD's on librust-*-dev packages.
    - d/python3-rpds-py.docs: Install Cargo.lock.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 09:46:50 +0100

rpds-py (0.20.0-0ubuntu1) oracular; urgency=medium

  * d/watch: Add watch file for upstream releases.
  * New upstream release, improving alignment with packaged crate
    versions and resolving FTBFS.
  * d/p/0001-Update-deps.patch: Align with packaged crate versions.
  * d/control: Enable autopkgtest-pkg-pybuild.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Aug 2024 10:23:57 +0100

=== debian/control ===
Source: rpds-py
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders:
 Roland Mas <lolando@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-maturin,
 python3-pytest,
 python3-setuptools,
 python3-traitlets,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/crate-py/rpds
Vcs-Browser: https://salsa.debian.org/python-team/packages/rpds-py
Vcs-Git: https://salsa.debian.org/python-team/packages/rpds-py.git
XS-Vendored-Sources-Rust: archery@1.2.0, autocfg@1.3.0, cc@1.0.90, cfg-if@1.0.0, heck@0.5.0, indoc@2.0.5, libc@0.2.155, memoffset@0.9.1, once_cell@1.19.0, portable-atomic@1.6.0, proc-macro2@1.0.86, pyo3-build-config@0.22.2, pyo3-ffi@0.22.2, pyo3-macros-backend@0.22.2, pyo3-macros@0.22.2, pyo3@0.22.2, python3-dll-a@0.2.10, quote@1.0.36, rpds@1.1.0, static_assertions@1.1.0, syn@2.0.69, target-lexicon@0.12.14, triomphe@0.1.13, unicode-ident@1.0.12, unindent@0.2.3

Package: python3-rpds-py
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings to Rust's persistent data structures (rpds)
 Python bindings to the Rust rpds crate for persistent data structures.
 .
 What's here is quite minimal (in transparency, it was written
 initially to support replacing pyrsistent in the referencing
 library). If you see something missing (which is very likely), a PR
 is definitely welcome to add it.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export PYBUILD_NAME=rpds-py
export CARGO_NET_OFFLINE=true
export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --buildsystem=pybuild

## rpds-py 0.21.0

=== debian/changelog ===
rpds-py (0.21.0-2ubuntu3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:19:31 +0000

rpds-py (0.21.0-2ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:01:46 +0000

rpds-py (0.21.0-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable (LP: #2089013). Remaining changes:
    - Vendor required Rust crates for Ubuntu main inclusion:
      + d/refresh-vendor.sh: Helper script to refresh crates for new
        upstream releases.
      + d/README.source: Document use of helper script.
      + d/cargo_home/config.toml: Use vendored crates for build.
      + d/control: Drop BD's on librust-*-dev packages.
      + d/python3-rpds-py.docs: Install Cargo.lock.
      + d/control: Use dh-cargo to generate list of vendored sources and
        detail in the XS-Vendored-Sources-Rust field.
  * d/refresh-vendor.sh: Misc tweak for changes in dh-cargo tooling.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Nov 2024 14:27:10 +0000

rpds-py (0.21.0-2) unstable; urgency=medium

  * Team upload.
  * Depends on python3-all-dev, build for all supported Python versions.
  * Bump Standards-Version to 4.7.0

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Nov 2024 17:30:40 +0100

rpds-py (0.21.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Nov 2024 21:45:04 +0000

rpds-py (0.20.1-1) unstable; urgency=medium

  * Team upload.
  * Add debian/watch.
  * New upstream release:
    - Build with pyo3 0.22 (closes: #1078392).
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 03 Nov 2024 16:32:12 +0000

=== debian/control ===
Source: rpds-py
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders: Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all-dev,
 pybuild-plugin-pyproject,
 python3-hatchling,
 python3-maturin,
 python3-pytest,
 python3-setuptools,
 python3-traitlets,
 python3-maturin,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Homepage: https://github.com/crate-py/rpds
Vcs-Browser: https://salsa.debian.org/python-team/packages/rpds-py
Vcs-Git: https://salsa.debian.org/python-team/packages/rpds-py.git
XS-Vendored-Sources-Rust: archery@1.2.1, autocfg@1.3.0, cc@1.0.90, cfg-if@1.0.0, heck@0.5.0, indoc@2.0.5, libc@0.2.155, memoffset@0.9.1, once_cell@1.19.0, portable-atomic@1.6.0, proc-macro2@1.0.86, pyo3-build-config@0.22.6, pyo3-ffi@0.22.6, pyo3-macros-backend@0.22.6, pyo3-macros@0.22.6, pyo3@0.22.6, python3-dll-a@0.2.10, quote@1.0.36, rpds@1.1.0, syn@2.0.69, target-lexicon@0.12.14, triomphe@0.1.13, unicode-ident@1.0.12, unindent@0.2.3

Package: python3-rpds-py
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings to Rust's persistent data structures (rpds)
 Python bindings to the Rust rpds crate for persistent data structures.
 .
 What's here is quite minimal (in transparency, it was written
 initially to support replacing pyrsistent in the referencing
 library). If you see something missing (which is very likely), a PR
 is definitely welcome to add it.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rpds-py
export CARGO_NET_OFFLINE=true
export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_configure:
	rm -f Cargo.lock

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rpds-py/rpds_py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rpds-py 0.27.1

=== docs/requirements.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 #    uv pip compile --output-file /Users/julian/Development/rpds.py/docs/requirements.txt docs/requirements.in
 alabaster==1.0.0
     # via sphinx
-babel==2.16.0
+babel==2.17.0
     # via sphinx
-beautifulsoup4==4.12.3
+beautifulsoup4==4.13.4
     # via furo
-certifi==2024.8.30
+certifi==2025.6.15
     # via requests
-charset-normalizer==3.4.0
+charset-normalizer==3.4.2
     # via requests
 docutils==0.21.2
     # via sphinx
@@ -18,30 +18,34 @@
     # via requests
 imagesize==1.4.1
     # via sphinx
-jinja2==3.1.4
+jinja2==3.1.6
     # via sphinx
 markupsafe==3.0.2
     # via jinja2
-packaging==24.1
+packaging==25.0
     # via sphinx
 pyenchant==3.2.2
     # via sphinxcontrib-spelling
-pygments==2.18.0
+pygments==2.19.2
     # via
     #   furo
     #   pygments-github-lexers
     #   sphinx
 pygments-github-lexers==0.0.5
     # via -r docs/requirements.in
-requests==2.32.3
+requests==2.32.4
+    # via
+    #   sphinx
+    #   sphinxcontrib-spelling
+roman-numerals-py==3.1.0
     # via sphinx
-file:.#egg=rpds-py
+rpds-py @ file:.#egg=rpds-py
     # via -r docs/requirements.in
-snowballstemmer==2.2.0
+snowballstemmer==3.0.1
     # via sphinx
-soupsieve==2.6
+soupsieve==2.7
     # via beautifulsoup4
-sphinx==8.1.3
+sphinx==8.2.3
     # via
     #   -r docs/requirements.in
     #   furo
@@ -65,11 +69,13 @@
     # via sphinx
 sphinxcontrib-serializinghtml==2.0.0
     # via sphinx
-sphinxcontrib-spelling==8.0.0
+sphinxcontrib-spelling==8.0.1
     # via -r docs/requirements.in
-sphinxext-opengraph==0.9.1
+sphinxext-opengraph==0.10.0
     # via -r docs/requirements.in
-url-py==0.13.0
+typing-extensions==4.14.0
+    # via beautifulsoup4
+url-py==0.15.0
     # via -r docs/requirements.in
-urllib3==2.2.3
+urllib3==2.5.0
     # via requests

=== tests/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --output-file /Users/julian/Development/rpds.py/tests/requirements.txt tests/requirements.in
iniconfig==2.1.0
    # via pytest
packaging==25.0
    # via pytest
pluggy==1.6.0
    # via pytest
pygments==2.19.2
    # via pytest
pytest==8.4.1
    # via
    #   -r tests/requirements.in
    #   pytest-run-parallel
pytest-run-parallel==0.4.4
    # via -r tests/requirements.in
rpds-py @ file:.#egg=rpds-py
    # via -r tests/requirements.in

=== debian/changelog ===
rpds-py (0.27.1-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130876). Remaining changes:
    - Vendor Rust crates for Ubuntu main inclusion
      + d/refresh-vendor.sh: Helper script to refresh crates
      + d/control: Use dh-cargo to generate list of vendored sources
      + d/README.source: Document use of helper script
      + d/cargo_home/config.toml: Use vendored crates for build
      + d/control: Drop BD's on librust-*-dev packages
      + d/python3-rpds-py.docs: Install Cargo.lock
    Changes squashed into existing commits:
    - d/refresh-vendor.sh: Misc tweak for changes in dh-cargo tooling.
      Squashed into the main d/refresh-vendor.sh commit.
  * d/refresh-vendor.sh: Empty checksum files in vendored crates to allow
    patching without updating checksums
  * Refresh vendored dependencies
  * d/cargo_home: Remove cargo cache files

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Fri, 14 Nov 2025 15:09:46 +0100

rpds-py (0.27.1-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:55:10 +0100

rpds-py (0.27.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Bump PyO3 to 0.25 (closes: #1114347).
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 Oct 2025 01:07:01 +0100

=== debian/control ===
Source: rpds-py
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-hatchling,
 python3-maturin,
 python3-pytest,
 python3-setuptools,
 python3-traitlets,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://github.com/crate-py/rpds
Vcs-Browser: https://salsa.debian.org/python-team/packages/rpds-py
Vcs-Git: https://salsa.debian.org/python-team/packages/rpds-py.git
XS-Vendored-Sources-Rust: archery@1.2.1, autocfg@1.4.0, cc@1.2.25, heck@0.5.0, indoc@2.0.6, libc@0.2.172, memoffset@0.9.1, once_cell@1.21.3, portable-atomic@1.11.0, proc-macro2@1.0.95, pyo3-build-config@0.25.1, pyo3-ffi@0.25.1, pyo3-macros-backend@0.25.1, pyo3-macros@0.25.1, pyo3@0.25.1, python3-dll-a@0.2.14, quote@1.0.40, rpds@1.1.1, shlex@1.3.0, syn@2.0.101, target-lexicon@0.13.2, triomphe@0.1.14, unicode-ident@1.0.18, unindent@0.2.4

Package: python3-rpds-py
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings to Rust's persistent data structures (rpds)
 Python bindings to the Rust rpds crate for persistent data structures.
 .
 What's here is quite minimal (in transparency, it was written
 initially to support replacing pyrsistent in the referencing
 library). If you see something missing (which is very likely), a PR
 is definitely welcome to add it.

## rpds-py 0.28.0

=== debian/changelog ===
rpds-py (0.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Dec 2025 15:46:22 +0000

=== debian/control ===
Source: rpds-py
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all-dev,
 pybuild-plugin-pyproject,
 python3-hatchling,
 python3-pytest,
 python3-traitlets,
 python3-maturin,
 librust-pyo3-dev (>= 0.27.0),
 librust-archery-dev (>= 1.2.2),
 librust-rpds-dev (>= 1.1.2),
 cargo,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://github.com/crate-py/rpds
Vcs-Browser: https://salsa.debian.org/python-team/packages/rpds-py
Vcs-Git: https://salsa.debian.org/python-team/packages/rpds-py.git

Package: python3-rpds-py
Architecture: any
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Python bindings to Rust's persistent data structures (rpds)
 Python bindings to the Rust rpds crate for persistent data structures.
 .
 What's here is quite minimal (in transparency, it was written
 initially to support replacing pyrsistent in the referencing
 library). If you see something missing (which is very likely), a PR
 is definitely welcome to add it.
